using Avalonia.Controls;
using Avalonia.Markup.Xaml;
using Avalonia.Media;
using DynamicData;
using ReactiveUI;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;

namespace btd_pdf_avalonia.ViewModels {
    public class MainWindowViewModel : ViewModelBase {
        private string _selectedParser;
        private string _sourcePath;


        public ObservableCollection<string> Parsers { get; } = new ObservableCollection<string>() {
            "Program Config",
            "Transducer Verify",
            "Hardware Calibration Report",
        };

        public MainWindowViewModel() {
            _selectedParser = Parsers[0];
            _sourcePath = "...";
        }


        public string SelectedParser {
            get => _selectedParser;
            set {
                this.RaiseAndSetIfChanged(ref _selectedParser, value);
            }
        }

        public string SourcePath {
            get => _sourcePath;
            set {
                this.RaiseAndSetIfChanged(ref _sourcePath, value);
            }
        }
    }
}
